import request from '@/utils/request'

export function getNoticeList(params) {
  return request({
    url: '/portal/notice/list',
    method: 'get',
    params: params,
    headers: {
      isToken: false
    }
  })
}

export function getNoticeListAll(params) {
  return request({
    url: '/portal/notice/list/all',
    method: 'get',
    params: params,
    headers: {
      isToken: false
    }
  })
}

export function getNoticeDetail(id) {
  return request({
    url: '/portal/notice/' + id,
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function searchNotice(keyword) {
  return request({
    url: '/portal/notice/search',
    method: 'get',
    params: { keyword },
    headers: {
      isToken: false
    }
  })
}

export function getHotNoticeList() {
  return request({
    url: '/portal/notice/hot',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getArchiveList() {
  return request({
    url: '/portal/notice/archive',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}
